package com.bonus.material.clz.mapper;

import com.bonus.material.clz.domain.BmProDepart;

import java.util.List;
/**
 * @ClassName BmProDepartMapper
 * @Author ma_sh
 * @create 2025/5/12 10:14
 */
public interface BmProDepartMapper {

    /**
     * 查询项目部列表信息
     * @param tbProDepart
     * @return
     */
    List<BmProDepart> queryByPage(BmProDepart tbProDepart);

    /**
     * 按照名称查询
     * @param tbProDepart
     * @return
     */
    BmProDepart selectByName(BmProDepart tbProDepart);

    /**
     * 新增项目部信息
     * @param tbProDepart
     * @return
     */
    int insert(BmProDepart tbProDepart);

    /**
     * 修改项目部信息
     * @param tbProDepart
     * @return
     */
    int update(BmProDepart tbProDepart);

    /**
     * 删除项目部信息
     * @param tbProDepart
     * @return
     */
    int deleteById(BmProDepart tbProDepart);
}
